use crate::system::*;
use super::vulkan::*;

pub struct Internal {
    supervisor:Sender<Query>,
}
impl Internal {
    pub fn thread(supervisor:Sender<Query>, _tx:Sender<Query>, rx:Receiver<Query>)
    {
        let _sv = Internal {
            supervisor,
        };

        // Initialize rendering system.
        if let Ok(_renderer) = Vulkan::init() {

            // Handle messages.
            while let Ok(msg) = rx.recv() {
                match &msg.data {
                    QueryData::Video(query) => match query {


                        _ => { }
                    }

                    _ => { }
                }
            }
        }
    }
}
